Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface MBeanServerConnection

All Known Subinterfaces:
  ExtendedMBeanServer, MBeanServer

public interface MBeanServerConnection

This interface represents a way to talk to an MBean server, whether local or remote. The `MBeanServer` interface, representing a local MBean server, extends this interface.

Author:
  Young Yang

Method Summary
`void` | `addNotificationListener(ObjectName name, NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Adds a listener to a registered MBean. A notification emitted by an MBean will be forwarded by the MBeanServer to the listener.
`void` | `addNotificationListener(ObjectName name, ObjectName listener, NotificationFilter filter, java.lang.Object handback)` Adds a listener to a registered MBean. A notification emitted by an MBean will be forwarded by the MBeanServer to the listener.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name)` Instantiates and registers an MBean in the MBean server.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, java.lang.Object[] params, java.lang.String[] signature)` Instantiates and registers an MBean in the MBean server.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, ObjectName loaderName)` Instantiates and registers an MBean in the MBean server.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, ObjectName loaderName, java.lang.Object[] params, java.lang.String[] signature)` Instantiates and registers an MBean in the MBean server.
`java.lang.Object` | `getAttribute(ObjectName name, java.lang.String attribute)` Gets the value of a specific attribute of a named MBean.
`AttributeList` | `getAttributes(ObjectName name, java.lang.String[] attributes)` Enables the values of several attributes of a named MBean.
`java.lang.String` | `getDefaultDomain()` Returns the default domain used for naming the MBean.
`java.lang.String[]` | `getDomains()` Returns the list of domains in which any MBean is currently registered.
`java.lang.Integer` | `getMBeanCount()` Returns the number of MBeans registered in the MBean server.
`MBeanInfo` | `getMBeanInfo(ObjectName name)` This method discovers the attributes and operations that an MBean exposes for management.
`ObjectInstance` | `getObjectInstance(ObjectName name)` Gets the `ObjectInstance` for a given MBean registered with the MBean server.
`java.lang.Object` | `invoke(ObjectName name, java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an operation on an MBean.
`boolean` | `isInstanceOf(ObjectName name, java.lang.String className)` Returns true if the MBean specified is an instance of the specified class, false otherwise. If `name` does not name an MBean, this method throws `InstanceNotFoundException`. Otherwise, let X be the MBean named by `name`, L be the ClassLoader of X, N be the class name in X's `MBeanInfo`. If N equals `className`, the result is true. Otherwise, if L successfully loads both N and `className`, and the second class is assignable from the first, the result is true. Otherwise, the result is false.
`boolean` | `isRegistered(ObjectName name)` Checks whether an MBean, identified by its object name, is already registered with the MBean server.
`java.util.Set` | `queryMBeans(ObjectName name, QueryExp query)` Gets MBeans controlled by the MBean server.
`java.util.Set` | `queryNames(ObjectName name, QueryExp query)` Gets the names of MBeans controlled by the MBean server.
`void` | `removeNotificationListener(ObjectName name, NotificationListener listener)` Removes a listener from a registered MBean. If the listener is registered more than once, perhaps with different filters or callbacks, this method will remove all those registrations.
`void` | `removeNotificationListener(ObjectName name, NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Removes a listener from a registered MBean. The MBean must have a listener that exactly matches the given `listener`, `filter`, and `handback` parameters.
`void` | `removeNotificationListener(ObjectName name, ObjectName listener)` Removes a listener from a registered MBean.
`void` | `removeNotificationListener(ObjectName name, ObjectName listener, NotificationFilter filter, java.lang.Object handback)` Removes a listener from a registered MBean. The MBean must have a listener that exactly matches the given `listener`, `filter`, and `handback` parameters.
`void` | `setAttribute(ObjectName name, Attribute attribute)` Sets the value of a specific attribute of a named MBean.
`AttributeList` | `setAttributes(ObjectName name, AttributeList attributes)` Sets the values of several attributes of a named MBean.
`void` | `unregisterMBean(ObjectName name)` Unregisters an MBean from the MBean server.

Method Detail

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      java.io.IOException

  Instantiates and registers an MBean in the MBean server. The MBean server will use its `Default Loader Repository` to load the class of the MBean. An object name is associated to the MBean. If the object name given is null, the MBean must provide its own name by implementing the `MBeanRegistration` interface and returning the name from the `preRegister` method.

  This method is equivalent to `createMBean(className, name, (Object[]) null, (String[]) null)`.

  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
  Returns:
    An `ObjectInstance`, containing the `ObjectName` and the Java class name of the newly instantiated MBean. If the contained `ObjectName` is `n`, the contained Java class name is ``getMBeanInfo(n)`.getClassName()`.
  Throws:
    `ReflectionException` - Wraps a `java.lang.ClassNotFoundException` or a ``java.lang.Exception`` that occurred when trying to invoke the MBean's constructor.
    `InstanceAlreadyExistsException` - The MBean is already under the control of the MBean server.
    `MBeanRegistrationException` - The `preRegister` (`MBeanRegistration` interface) method of the MBean has thrown an exception. The MBean will not be registered.
    `MBeanException` - The constructor of the MBean has thrown an exception
    `NotCompliantMBeanException` - This class is not a JMX compliant MBean
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The className passed in parameter is null, the `ObjectName` passed in parameter contains a pattern or no `ObjectName` is specified for the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      ObjectName loaderName)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      InstanceNotFoundException,
                                      java.io.IOException

  Instantiates and registers an MBean in the MBean server. The class loader to be used is identified by its object name. An object name is associated to the MBean. If the object name of the loader is null, the ClassLoader that loaded the MBean server will be used. If the MBean's object name given is null, the MBean must provide its own name by implementing the `MBeanRegistration` interface and returning the name from the `preRegister` method.

  This method is equivalent to `createMBean(className, name, loaderName, (Object[]) null, (String[]) null)`.

  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    An `ObjectInstance`, containing the `ObjectName` and the Java class name of the newly instantiated MBean. If the contained `ObjectName` is `n`, the contained Java class name is ``getMBeanInfo(n)`.getClassName()`.
  Throws:
    `ReflectionException` - Wraps a `java.lang.ClassNotFoundException` or a `java.lang.Exception` that occurred when trying to invoke the MBean's constructor.
    `InstanceAlreadyExistsException` - The MBean is already under the control of the MBean server.
    `MBeanRegistrationException` - The `preRegister` (`MBeanRegistration` interface) method of the MBean has thrown an exception. The MBean will not be registered.
    `MBeanException` - The constructor of the MBean has thrown an exception
    `NotCompliantMBeanException` - This class is not a JMX compliant MBean
    `InstanceNotFoundException` - The specified class loader is not registered in the MBean server.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The className passed in parameter is null, the `ObjectName` passed in parameter contains a pattern or no `ObjectName` is specified for the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      java.lang.Object[] params,
                                      java.lang.String[] signature)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      java.io.IOException

  Instantiates and registers an MBean in the MBean server. The MBean server will use its `Default Loader Repository` to load the class of the MBean. An object name is associated to the MBean. If the object name given is null, the MBean must provide its own name by implementing the `MBeanRegistration` interface and returning the name from the `preRegister` method.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
  Returns:
    An `ObjectInstance`, containing the `ObjectName` and the Java class name of the newly instantiated MBean. If the contained `ObjectName` is `n`, the contained Java class name is ``getMBeanInfo(n)`.getClassName()`.
  Throws:
    `ReflectionException` - Wraps a `java.lang.ClassNotFoundException` or a `java.lang.Exception` that occurred when trying to invoke the MBean's constructor.
    `InstanceAlreadyExistsException` - The MBean is already under the control of the MBean server.
    `MBeanRegistrationException` - The `preRegister` (`MBeanRegistration` interface) method of the MBean has thrown an exception. The MBean will not be registered.
    `MBeanException` - The constructor of the MBean has thrown an exception
    `NotCompliantMBeanException` - This class is not a JMX compliant MBean
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The className passed in parameter is null, the `ObjectName` passed in parameter contains a pattern or no `ObjectName` is specified for the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      ObjectName loaderName,
                                      java.lang.Object[] params,
                                      java.lang.String[] signature)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      InstanceNotFoundException,
                                      java.io.IOException

  Instantiates and registers an MBean in the MBean server. The class loader to be used is identified by its object name. An object name is associated to the MBean. If the object name of the loader is not specified, the ClassLoader that loaded the MBean server will be used. If the MBean object name given is null, the MBean must provide its own name by implementing the `MBeanRegistration` interface and returning the name from the `preRegister` method.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    An `ObjectInstance`, containing the `ObjectName` and the Java class name of the newly instantiated MBean. If the contained `ObjectName` is `n`, the contained Java class name is ``getMBeanInfo(n)`.getClassName()`.
  Throws:
    `ReflectionException` - Wraps a `java.lang.ClassNotFoundException` or a `java.lang.Exception` that occurred when trying to invoke the MBean's constructor.
    `InstanceAlreadyExistsException` - The MBean is already under the control of the MBean server.
    `MBeanRegistrationException` - The `preRegister` (`MBeanRegistration` interface) method of the MBean has thrown an exception. The MBean will not be registered.
    `MBeanException` - The constructor of the MBean has thrown an exception
    `NotCompliantMBeanException` - This class is not a JMX compliant MBean
    `InstanceNotFoundException` - The specified class loader is not registered in the MBean server.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The className passed in parameter is null, the `ObjectName` passed in parameter contains a pattern or no `ObjectName` is specified for the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### unregisterMBean

    public void unregisterMBean(ObjectName name)
                         throws InstanceNotFoundException,
                                MBeanRegistrationException,
                                java.io.IOException

  Unregisters an MBean from the MBean server. The MBean is identified by its object name. Once the method has been invoked, the MBean may no longer be accessed by its object name.
  Parameters:
    `name` - The object name of the MBean to be unregistered.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `MBeanRegistrationException` - The preDeregister ((`MBeanRegistration` interface) method of the MBean has thrown an exception.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The object name in parameter is null or the MBean you are when trying to unregister is the `MBeanServerDelegate` MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### getObjectInstance

    public ObjectInstance getObjectInstance(ObjectName name)
                                     throws InstanceNotFoundException,
                                            java.io.IOException

  Gets the `ObjectInstance` for a given MBean registered with the MBean server.
  Parameters:
    `name` - The object name of the MBean.
  Returns:
    The `ObjectInstance` associated with the MBean specified by name. The contained `ObjectName` is `name` and the contained class name is ``getMBeanInfo(name)`.getClassName()`.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### queryMBeans

    public java.util.Set queryMBeans(ObjectName name,
                                     QueryExp query)
                              throws java.io.IOException

  Gets MBeans controlled by the MBean server. This method allows any of the following to be obtained: All MBeans, a set of MBeans specified by pattern matching on the `ObjectName` and/or a Query expression, a specific MBean. When the object name is null or no domain and key properties are specified, all objects are to be selected (and filtered if a query is specified). It returns the set of `ObjectInstance` objects (containing the `ObjectName` and the Java Class name) for the selected MBeans.
  Parameters:
    `name` - The object name pattern identifying the MBeans to be retrieved. If null or no domain and key properties are specified, all the MBeans registered will be retrieved.
    `query` - The query expression to be applied for selecting MBeans. If null no query expression will be applied for selecting MBeans.
  Returns:
    A set containing the `ObjectInstance` objects for the selected MBeans. If no MBean satisfies the query an empty list is returned.
  Throws:
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### queryNames

    public java.util.Set queryNames(ObjectName name,
                                    QueryExp query)
                             throws java.io.IOException

  Gets the names of MBeans controlled by the MBean server. This method enables any of the following to be obtained: The names of all MBeans, the names of a set of MBeans specified by pattern matching on the `ObjectName` and/or a Query expression, a specific MBean name (equivalent to testing whether an MBean is registered). When the object name is null or no domain and key properties are specified, all objects are selected (and filtered if a query is specified). It returns the set of ObjectNames for the MBeans selected.
  Parameters:
    `name` - The object name pattern identifying the MBean names to be retrieved. If null oror no domain and key properties are specified, the name of all registered MBeans will be retrieved.
    `query` - The query expression to be applied for selecting MBeans. If null no query expression will be applied for selecting MBeans.
  Returns:
    A set containing the ObjectNames for the MBeans selected. If no MBean satisfies the query, an empty list is returned.
  Throws:
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### isRegistered

    public boolean isRegistered(ObjectName name)
                         throws java.io.IOException

  Checks whether an MBean, identified by its object name, is already registered with the MBean server.
  Parameters:
    `name` - The object name of the MBean to be checked.
  Returns:
    True if the MBean is already registered in the MBean server, false otherwise.
  Throws:
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The object name in parameter is null.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### getMBeanCount

    public java.lang.Integer getMBeanCount()
                                    throws java.io.IOException

  Returns the number of MBeans registered in the MBean server.
  Returns:
    the number of MBeans registered.
  Throws:
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### getAttribute

    public java.lang.Object getAttribute(ObjectName name,
                                         java.lang.String attribute)
                                  throws MBeanException,
                                         AttributeNotFoundException,
                                         InstanceNotFoundException,
                                         ReflectionException,
                                         java.io.IOException

  Gets the value of a specific attribute of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean from which the attribute is to be retrieved.
    `attribute` - A String specifying the name of the attribute to be retrieved.
  Returns:
    The value of the retrieved attribute.
  Throws:
    `AttributeNotFoundException` - The attribute specified is not accessible in the MBean.
    `MBeanException` - Wraps an exception thrown by the MBean's getter.
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown when trying to invoke the setter.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The object name in parameter is null or the attribute in parameter is null.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `setAttribute(javax.management.ObjectName, javax.management.Attribute)`

### getAttributes

    public AttributeList getAttributes(ObjectName name,
                                       java.lang.String[] attributes)
                                throws InstanceNotFoundException,
                                       ReflectionException,
                                       java.io.IOException

  Enables the values of several attributes of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean from which the attributes are retrieved.
    `attributes` - A list of the attributes to be retrieved.
  Returns:
    The list of the retrieved attributes.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `ReflectionException` - An exception occurred when trying to invoke the getAttributes method of a Dynamic MBean.
    `RuntimeOperationsException` - Wrap a `java.lang.IllegalArgumentException`: The object name in parameter is null or attributes in parameter is null.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `setAttributes(javax.management.ObjectName, javax.management.AttributeList)`

### setAttribute

    public void setAttribute(ObjectName name,
                             Attribute attribute)
                      throws InstanceNotFoundException,
                             AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException,
                             java.io.IOException

  Sets the value of a specific attribute of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The name of the MBean within which the attribute is to be set.
    `attribute` - The identification of the attribute to be set and the value it is to be set to.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `AttributeNotFoundException` - The attribute specified is not accessible in the MBean.
    `InvalidAttributeValueException` - The value specified for the attribute is not valid.
    `MBeanException` - Wraps an exception thrown by the MBean's setter.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown when trying to invoke the setter.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The object name in parameter is null or the attribute in parameter is null.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `getAttribute(javax.management.ObjectName, java.lang.String)`

### setAttributes

    public AttributeList setAttributes(ObjectName name,
                                       AttributeList attributes)
                                throws InstanceNotFoundException,
                                       ReflectionException,
                                       java.io.IOException

  Sets the values of several attributes of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean within which the attributes are to be set.
    `attributes` - A list of attributes: The identification of the attributes to be set and the values they are to be set to.
  Returns:
    The list of attributes that were set, with their new values.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `ReflectionException` - An exception occurred when trying to invoke the getAttributes method of a Dynamic MBean.
    `RuntimeOperationsException` - Wraps a `java.lang.IllegalArgumentException`: The object name in parameter is null or attributes in parameter is null.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `getAttributes(javax.management.ObjectName, java.lang.String[])`

### invoke

    public java.lang.Object invoke(ObjectName name,
                                   java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws InstanceNotFoundException,
                                   MBeanException,
                                   ReflectionException,
                                   java.io.IOException

  Invokes an operation on an MBean.
  Parameters:
    `name` - The object name of the MBean on which the method is to be invoked.
    `operationName` - The name of the operation to be invoked.
    `params` - An array containing the parameters to be set when the operation is invoked
    `signature` - An array containing the signature of the operation. The class objects will be loaded using the same class loader as the one used for loading the MBean on which the operation was invoked.
  Returns:
    The object returned by the operation, which represents the result ofinvoking the operation on the MBean specified.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `MBeanException` - Wraps an exception thrown by the MBean's invoked method.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown while trying to invoke the method.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### getDefaultDomain

    public java.lang.String getDefaultDomain()
                                      throws java.io.IOException

  Returns the default domain used for naming the MBean. The default domain name is used as the domain part in the ObjectName of MBeans if no domain is specified by the user.
  Returns:
    the default domain.
  Throws:
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### getDomains

    public java.lang.String[] getDomains()
                                  throws java.io.IOException

  Returns the list of domains in which any MBean is currently registered. A string is in the returned array if and only if there is at least one MBean registered with an ObjectName whose `getDomain()` is equal to that string. The order of strings within the returned array is not defined.

  Returns:
    the list of domains.
  Throws:
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  Since:
    JMX 1.2

### addNotificationListener

    public void addNotificationListener(ObjectName name,
                                        NotificationListener listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws InstanceNotFoundException,
                                        java.io.IOException

  Adds a listener to a registered MBean.

  A notification emitted by an MBean will be forwarded by the MBeanServer to the listener. If the source of the notification is a reference to an MBean object, the MBean server will replace it by that MBean's ObjectName. Otherwise the source is unchanged.

  Parameters:
    `name` - The name of the MBean on which the listener should be added.
    `listener` - The listener object which will handle the notifications emitted by the registered MBean.
    `filter` - The filter object. If filter is null, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    `InstanceNotFoundException` - The MBean name provided does not match any of the registered MBeans.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `removeNotificationListener(ObjectName, NotificationListener)`, `removeNotificationListener(ObjectName, NotificationListener, NotificationFilter, Object)`

### addNotificationListener

    public void addNotificationListener(ObjectName name,
                                        ObjectName listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws InstanceNotFoundException,
                                        java.io.IOException

  Adds a listener to a registered MBean.

  A notification emitted by an MBean will be forwarded by the MBeanServer to the listener. If the source of the notification is a reference to an MBean object, the MBean server will replace it by that MBean's ObjectName. Otherwise the source is unchanged.

  The listener object that receives notifications is the one that is registered with the given name at the time this method is called. Even if it is subsequently unregistered, it will continue to receive notifications.

  Parameters:
    `name` - The name of the MBean on which the listener should be added.
    `listener` - The object name of the listener which will handle the notifications emitted by the registered MBean.
    `filter` - The filter object. If filter is null, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    `InstanceNotFoundException` - The MBean name of the notification listener or of the notification broadcaster does not match any of the registered MBeans.
    `RuntimeOperationsException` - Wraps an `IllegalArgumentException`. The MBean named by `listener` exists but does not implement the `NotificationListener` interface.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `removeNotificationListener(ObjectName, ObjectName)`, `removeNotificationListener(ObjectName, ObjectName, NotificationFilter, Object)`

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           ObjectName listener)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException,
                                           java.io.IOException

  Removes a listener from a registered MBean.

  If the listener is registered more than once, perhaps with different filters or callbacks, this method will remove all those registrations.

  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - The object name of the listener to be removed.
  Throws:
    `InstanceNotFoundException` - The MBean name provided does not match any of the registered MBeans.
    `ListenerNotFoundException` - The listener is not registered in the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `addNotificationListener(ObjectName, ObjectName, NotificationFilter, Object)`

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           ObjectName listener,
                                           NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException,
                                           java.io.IOException

  Removes a listener from a registered MBean.

  The MBean must have a listener that exactly matches the given `listener`, `filter`, and `handback` parameters. If there is more than one such listener, only one is removed.

  The `filter` and `handback` parameters may be null if and only if they are null in a listener to be removed.

  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - A listener that was previously added to this MBean.
    `filter` - The filter that was specified when the listener was added.
    `handback` - The handback that was specified when the listener was added.
  Throws:
    `InstanceNotFoundException` - The MBean name provided does not match any of the registered MBeans.
    `ListenerNotFoundException` - The listener is not registered in the MBean, or it is not registered with the given filter and handback.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  Since:
    JMX 1.2
  See Also:
    `addNotificationListener(ObjectName, ObjectName, NotificationFilter, Object)`

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           NotificationListener listener)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException,
                                           java.io.IOException

  Removes a listener from a registered MBean.

  If the listener is registered more than once, perhaps with different filters or callbacks, this method will remove all those registrations.

  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - The object name of the listener to be removed.
  Throws:
    `InstanceNotFoundException` - The MBean name provided does not match any of the registered MBeans.
    `ListenerNotFoundException` - The listener is not registered in the MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  See Also:
    `addNotificationListener(ObjectName, NotificationListener, NotificationFilter, Object)`

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           NotificationListener listener,
                                           NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException,
                                           java.io.IOException

  Removes a listener from a registered MBean.

  The MBean must have a listener that exactly matches the given `listener`, `filter`, and `handback` parameters. If there is more than one such listener, only one is removed.

  The `filter` and `handback` parameters may be null if and only if they are null in a listener to be removed.

  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - A listener that was previously added to this MBean.
    `filter` - The filter that was specified when the listener was added.
    `handback` - The handback that was specified when the listener was added.
  Throws:
    `InstanceNotFoundException` - The MBean name provided does not match any of the registered MBeans.
    `ListenerNotFoundException` - The listener is not registered in the MBean, or it is not registered with the given filter and handback.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.
  Since:
    JMX 1.2
  See Also:
    `addNotificationListener(ObjectName, NotificationListener, NotificationFilter, Object)`

### getMBeanInfo

    public MBeanInfo getMBeanInfo(ObjectName name)
                           throws InstanceNotFoundException,
                                  IntrospectionException,
                                  ReflectionException,
                                  java.io.IOException

  This method discovers the attributes and operations that an MBean exposes for management.
  Parameters:
    `name` - The name of the MBean to analyze
  Returns:
    An instance of `MBeanInfo` allowing the retrieval of all attributes and operations of this MBean.
  Throws:
    `IntrospectionException` - An exception occured during introspection.
    `InstanceNotFoundException` - The MBean specified was not found.
    `ReflectionException` - An exception occurred when trying to invoke the getMBeanInfo of a Dynamic MBean.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

### isInstanceOf

    public boolean isInstanceOf(ObjectName name,
                                java.lang.String className)
                         throws InstanceNotFoundException,
                                java.io.IOException

  Returns true if the MBean specified is an instance of the specified class, false otherwise.

  If `name` does not name an MBean, this method throws `InstanceNotFoundException`.

  Otherwise, let
  X be the MBean named by `name`,
  L be the ClassLoader of X,
  N be the class name in X's `MBeanInfo`.

  If N equals `className`, the result is true.

  Otherwise, if L successfully loads both N and `className`, and the second class is assignable from the first, the result is true.

  Otherwise, the result is false.

  Parameters:
    `name` - The `ObjectName` of the MBean.
    `className` - The name of the class.
  Returns:
    true if the MBean specified is an instance of the specified class according to the rules above, false otherwise.
  Throws:
    `InstanceNotFoundException` - The MBean specified is not registered in the MBean server.
    `java.io.IOException` - A communication problem occurred when talking to the MBean server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD